!	Here are my planned labels
!	
!	1  in1
!	2  C in1
!	3  C' in1
!	4  in2	(a doublet)
!	5  C  in2
!	6  C' in2
!	7  C C in1
!	
! make a figure illustrating causint
!%
use sep
use causint

integer 				:: n1, n2, stat
real, dimension (:,:), allocatable	:: data
logical, parameter			:: T = .true., F = .false.

call sep_init ()
call from_par ("n1", n1, 30)
call from_par ("n2", n2, 7)
call to_history ("n3",1)
call to_history ("esize",4)
call sep_close ()

allocate (data(n1,n2))
data = 0. ; data(n1/2,1) = 1.

stat = causint_lop (F, F, data(:,1),  data(:,2))
stat = causint_lop (T, F, data(:,3),  data(:,1))

data(n1/3,4) =  1.
data(n1/2,4) = -1.

stat = causint_lop (F, F, data(:,4),  data(:,5))
stat = causint_lop (T, F, data(:,6),  data(:,4))
stat = causint_lop (F, F, data(:,5),  data(:,7))

call sep_write (data)

deallocate (data)
call exit (0)

end


