program Gradmag
  use sep

  implicit none
  integer                              :: n1, n2, stat
  real, dimension (:,:), allocatable   :: grad_ns, grad_ew, grad_mag
  real, dimension (:,:,:), allocatable :: grad_in

  call sep_init( SOURCE)               ! Initialize I/O module, "sep".
  call from_history( n1, n2)           ! Get data dimensions from history file.
  call sep_close()

  allocate( grad_ns(n1,n2), grad_ew(n1,n2), grad_mag(n1,n2), grad_in(n1,n2,2) )

  call sep_read( grad_in )             ! Read input data from disk. 

	grad_ns = grad_in(:,:,1)
	grad_ew = grad_in(:,:,2)

!!!  MODIFY AND UNCOMMENT THE FOLLOWING LINE!
!	grad_mag = ???
	grad_mag = sqrt( grad_ns**2 + grad_ew**2)

  call sep_write( grad_mag) 

  deallocate( grad_ns, grad_ew, grad_mag, grad_in)

  call exit(0)

end program Gradmag
