program dot_prod_test
  use ruffen2
  use dottest
  use sep

  implicit none
  real,    dimension (2) :: dot1, dot2
  integer                :: nxx
  integer, dimension (2) :: nx, nb = (/ 3, 3 /)

  call sep_init ()
  call from_par ("n1",nx (1),9)
  call from_par ("n2",nx (2),6)

  call ruffen2_init (nb,nx); nxx = product (nx)
  call dot_test (ruffen2_op, nxx, nxx, dot1, dot2)
  call ruffen2_close ()
end program dot_prod_test

