program Igrad_ew
  use igrad1
  use sep

  implicit none
  integer                            :: n1, n2, i_ns, stat
  real, dimension (:,:), allocatable :: input, output

  call sep_init( SOURCE)               ! Initialize I/O module, "sep".
  call from_history( n1, n2)           ! Get data dimensions from history file.
  call sep_close()

  allocate( input(n1,n2), output(n1,n2) )

  call sep_read (input)                ! Read input data from disk. 

	output = 0
  do i_ns=1,n1
!!!  MODIFY AND UNCOMMENT THE FOLLOWING LINE!
!     stat = igrad1_lop( .false., .false., input(???,???) output(???,???) )
     stat = igrad1_lop( .false., .false., input(i_ns,:), output(i_ns,:) )
  end do

  call sep_write( output)              ! Write output to disk.

  deallocate( input, output)

  call exit(0)

end program Igrad_ew
